Debian Bug report logs - #600490
debian-installer: If you choose JP106 key layout, you'll be asked keyboard layout again

version graph

Package: xkb-data; Maintainer for xkb-data is Debian X Strike Force <debian-x@lists.debian.org>; Source for xkb-data is src:xkeyboard-config.

Reported by: Hideki Yamane <henrich@debian.org>

Date: Sun, 17 Oct 2010 15:42:02 UTC

Severity: important

Tags: l10n

Fixed in version console-setup/1.58

Done: Anton Zinoviev <zinoviev@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#600490; Package debian-installer. (Sun, 17 Oct 2010 15:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

daily build - Sun Oct 17 08:50:46 UTC 2010

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sun, 17 Oct 2010 15:42:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: If you choose JP106 key layout, you'll be asked keyboard layout again
Date: Mon, 18 Oct 2010 00:39:56 +0900
Package: debian-installer
Version: daily build - Sun Oct 17 08:50:46 UTC 2010
Severity: important
Tags: l10n

Hi,

 If you choose JP106 key layout with d-i, you'll be asked keyboard 
 layout again and there is no suitable layout.


Problem:
  If you select JP106 Key layout in "Select a keyboard layout" menu, 
 you would be asked keyboard layout TWICE, and there is no suitable
 item in that second list.

-------------------------------------------------------------------
Step to reproduce
-------------------------------------------------------------------
 1. select keymap: Japan (106 key)
 2. after disk partitioning dialog, then asked keyboard model again.

 However, there is no "jp106" model that previously selected in that list 
(it comes from keyboard-configuration pacakge?). So, I confused but 
selected "Generic 105-key (Intl) PC" as a workaround. I don't know whether
 it's best choise or not.

-------------------------------------------------------------------
Expected behaivor
-------------------------------------------------------------------
 1. select jp106 key layout
 2. then it never asked it to me again


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=ja_JP.utf8, LC_CTYPE=ja_JP.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#600490; Package debian-installer. (Sun, 17 Oct 2010 21:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 17 Oct 2010 21:15:07 GMT) Full text and rfc822 format available.

Message #10 received at 600490@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Hideki Yamane <henrich@debian.org>, 600490@bugs.debian.org
Cc: svu@gnome.org, xkb-data@packages.debian.org
Subject: Re: Bug#600490: debian-installer: If you choose JP106 key layout, you'll be asked keyboard layout again
Date: Sun, 17 Oct 2010 23:09:57 +0200
reassign 600490 xkb-data
thanks

Hello,

Hideki Yamane, le Mon 18 Oct 2010 00:39:56 +0900, a écrit :
>  1. select keymap: Japan (106 key)
>  2. after disk partitioning dialog, then asked keyboard model again.
> 
>  However, there is no "jp106" model that previously selected in that list 
> (it comes from keyboard-configuration pacakge?).

Yes, it seems Sergey V. Udaltsov <svu@gnome.org> dropped the abnt2,
jp106 and kr106 models last year, he didn't say why.  Sergey, could you
detail a bit why you dropped the models?  It seems people still expect
to be able to select jp106.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#600490; Package debian-installer. (Sun, 17 Oct 2010 21:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 17 Oct 2010 21:15:08 GMT) Full text and rfc822 format available.

Message #15 received at 600490@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Hideki Yamane <henrich@debian.org>, 600490@bugs.debian.org
Cc: svu@gnome.org, xkb-data@packages.debian.org
Subject: Re: Bug#600490: debian-installer: If you choose JP106 key layout, you'll be asked keyboard layout again
Date: Sun, 17 Oct 2010 23:12:09 +0200
Samuel Thibault, le Sun 17 Oct 2010 23:09:57 +0200, a écrit :
> Sergey, could you detail a bit why you dropped the models?

Or put another way, what are they supposed to choose instead of jp106,
abnt2 and kr106?

Samuel




Bug reassigned from package 'debian-installer' to 'xkb-data'. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Sun, 17 Oct 2010 21:15:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Sun, 17 Oct 2010 21:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 17 Oct 2010 21:21:03 GMT) Full text and rfc822 format available.

Message #22 received at 600490@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Hideki Yamane <henrich@debian.org>, 600490@bugs.debian.org
Cc: svu@gnome.org, xkb-data@packages.debian.org
Subject: Re: Bug#600490: debian-installer: If you choose JP106 key layout, you'll be asked keyboard layout again
Date: Sun, 17 Oct 2010 23:20:09 +0200
Samuel Thibault, le Sun 17 Oct 2010 23:09:57 +0200, a écrit :
> Yes, it seems Sergey V. Udaltsov <svu@gnome.org> dropped the abnt2,
> jp106 and kr106 models last year, he didn't say why.

I forgot to mention the commit id: 91da938a16b4dc29df62fa3794d2d046daa2edbe

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Mon, 18 Oct 2010 06:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 18 Oct 2010 06:09:06 GMT) Full text and rfc822 format available.

Message #27 received at 600490@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 600490@bugs.debian.org
Cc: Hideki Yamane <henrich@debian.org>, svu@gnome.org, xkb-data@packages.debian.org
Subject: Re: Bug#600490: debian-installer: If you choose JP106 key layout, you'll be asked keyboard layout again
Date: Mon, 18 Oct 2010 08:04:37 +0200
[Message part 1 (text/plain, inline)]
Quoting Samuel Thibault (sthibault@debian.org):

> Yes, it seems Sergey V. Udaltsov <svu@gnome.org> dropped the abnt2,
> jp106 and kr106 models last year, he didn't say why.  Sergey, could you
> detail a bit why you dropped the models?  It seems people still expect
> to be able to select jp106.


And certainly ABNT2 for Brazilian users if I consider the various bug
reports we had in the past in cosole-data about this layout.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Mon, 18 Oct 2010 22:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 18 Oct 2010 22:45:07 GMT) Full text and rfc822 format available.

Message #32 received at 600490@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Hideki Yamane <henrich@debian.org>, 600490@bugs.debian.org
Cc: svu@gnome.org, xkb-data@packages.debian.org, keyboard-configuration@packages.debian.org
Subject: Re: Bug#600490: debian-installer: If you choose JP106 key layout, you'll be asked keyboard layout again
Date: Tue, 19 Oct 2010 00:41:05 +0200
reassign 600490 keyboard-configuration
tags 600490 + pending
thanks

Samuel Thibault, le Sun 17 Oct 2010 23:12:09 +0200, a écrit :
> Samuel Thibault, le Sun 17 Oct 2010 23:09:57 +0200, a écrit :
> > Sergey, could you detail a bit why you dropped the models?
> 
> Or put another way, what are they supposed to choose instead of jp106,
> abnt2 and kr106?

Looking more at this, the extra keys of these keyboards simply got
merged into the base model, thus making these models useless as the base
model now supports the corresponding layouts.

I've made keyboard-configuration not use these models any more, and
simply assume the base model provides the support, which is true since
xkb-data 1.6 (thus version dep bump).

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Thu, 21 Oct 2010 16:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 21 Oct 2010 16:09:09 GMT) Full text and rfc822 format available.

Message #37 received at 600490@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Samuel Thibault <sthibault@debian.org>
Cc: Hideki Yamane <henrich@debian.org>, 600490@bugs.debian.org, svu@gnome.org, xkb-data@packages.debian.org, keyboard-configuration@packages.debian.org
Subject: Re: Bug#600490: debian-installer: If you choose JP106 key layout, you'll be asked keyboard layout again
Date: Fri, 22 Oct 2010 01:04:19 +0900
On Tue, 19 Oct 2010 00:41:05 +0200
Samuel Thibault <sthibault@debian.org> wrote:
> I've made keyboard-configuration not use these models any more, and
> simply assume the base model provides the support, which is true since
> xkb-data 1.6 (thus version dep bump).

 Does it means jp106 users never got same question twice?


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Thu, 21 Oct 2010 23:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 21 Oct 2010 23:18:03 GMT) Full text and rfc822 format available.

Message #42 received at 600490@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: Hideki Yamane <henrich@debian.org>, 600490@bugs.debian.org, svu@gnome.org, xkb-data@packages.debian.org, keyboard-configuration@packages.debian.org
Subject: Re: Bug#600490: debian-installer: If you choose JP106 key layout, you'll be asked keyboard layout again
Date: Fri, 22 Oct 2010 01:15:45 +0200
Hideki Yamane, le Fri 22 Oct 2010 01:04:19 +0900, a écrit :
> On Tue, 19 Oct 2010 00:41:05 +0200
> Samuel Thibault <sthibault@debian.org> wrote:
> > I've made keyboard-configuration not use these models any more, and
> > simply assume the base model provides the support, which is true since
> > xkb-data 1.6 (thus version dep bump).
> 
>  Does it means jp106 users never got same question twice?

It shouldn't happen any more, yes.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Fri, 22 Oct 2010 13:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dima Pasechnik <dimpase@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 22 Oct 2010 13:03:07 GMT) Full text and rfc822 format available.

Message #47 received at 600490@bugs.debian.org (full text, mbox):

From: Dima Pasechnik <dimpase@gmail.com>
To: 600490@bugs.debian.org
Subject: is there any chance this is backported to squeeze?
Date: Fri, 22 Oct 2010 21:02:00 +0800
I have a laptop with 106-key japanse keyboard, and since an upgrade to
squeeze from lenny
I cannot get normal functioning of it any more (forget about using a
russian phonetic layout, for instance)
Symptoms are similar to descibed here...

Thanks, and sorry if this is totally ignorant of me...

-- 
Dmitrii Pasechnik
http://www.ntu.edu.sg/home/dima/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Fri, 22 Oct 2010 13:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 22 Oct 2010 13:24:03 GMT) Full text and rfc822 format available.

Message #52 received at 600490@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 600490@bugs.debian.org
Subject: Re: Bug#600490: is there any chance this is backported to squeeze?
Date: Fri, 22 Oct 2010 15:21:16 +0200
squeeze is not released yet, so it's not even a backport, it'll just
follow the usual fix migration during the freeze.

Samuel




Reply sent to Anton Zinoviev <zinoviev@debian.org>:
You have taken responsibility. (Sat, 23 Oct 2010 08:36:16 GMT) Full text and rfc822 format available.

Notification sent to Hideki Yamane <henrich@debian.org>:
Bug acknowledged by developer. (Sat, 23 Oct 2010 08:36:16 GMT) Full text and rfc822 format available.

Message #57 received at 600490-close@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <zinoviev@debian.org>
To: 600490-close@bugs.debian.org
Subject: Bug#600490: fixed in console-setup 1.58
Date: Sat, 23 Oct 2010 08:32:21 +0000
Source: console-setup
Source-Version: 1.58

We believe that the bug you reported is fixed in the latest version of
console-setup, which is due to be installed in the Debian FTP archive:

bdf2psf_1.58_all.deb
  to main/c/console-setup/bdf2psf_1.58_all.deb
console-setup-amiga-ekmap_1.58_all.udeb
  to main/c/console-setup/console-setup-amiga-ekmap_1.58_all.udeb
console-setup-ataritt-ekmap_1.58_all.udeb
  to main/c/console-setup/console-setup-ataritt-ekmap_1.58_all.udeb
console-setup-fonts-udeb_1.58_all.udeb
  to main/c/console-setup/console-setup-fonts-udeb_1.58_all.udeb
console-setup-macintoshold-ekmap_1.58_all.udeb
  to main/c/console-setup/console-setup-macintoshold-ekmap_1.58_all.udeb
console-setup-mini_1.58_all.deb
  to main/c/console-setup/console-setup-mini_1.58_all.deb
console-setup-pc-ekmap_1.58_all.udeb
  to main/c/console-setup/console-setup-pc-ekmap_1.58_all.udeb
console-setup-sun4-ekmap_1.58_all.udeb
  to main/c/console-setup/console-setup-sun4-ekmap_1.58_all.udeb
console-setup-sun5-ekmap_1.58_all.udeb
  to main/c/console-setup/console-setup-sun5-ekmap_1.58_all.udeb
console-setup-udeb_1.58_all.udeb
  to main/c/console-setup/console-setup-udeb_1.58_all.udeb
console-setup_1.58.dsc
  to main/c/console-setup/console-setup_1.58.dsc
console-setup_1.58.tar.gz
  to main/c/console-setup/console-setup_1.58.tar.gz
console-setup_1.58_all.deb
  to main/c/console-setup/console-setup_1.58_all.deb
keyboard-configuration_1.58_all.deb
  to main/c/console-setup/keyboard-configuration_1.58_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600490@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anton Zinoviev <zinoviev@debian.org> (supplier of updated console-setup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 23 Oct 2010 10:14:45 +0300
Source: console-setup
Binary: keyboard-configuration console-setup console-setup-mini bdf2psf console-setup-udeb console-setup-amiga-ekmap console-setup-ataritt-ekmap console-setup-macintoshold-ekmap console-setup-pc-ekmap console-setup-sun4-ekmap console-setup-sun5-ekmap console-setup-fonts-udeb
Architecture: source all
Version: 1.58
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Anton Zinoviev <zinoviev@debian.org>
Description: 
 bdf2psf    - font converter to generate console fonts from BDF source fonts
 console-setup - console font and keymap setup program
 console-setup-amiga-ekmap - encoded keyboard layouts for Amiga keyboards (udeb)
 console-setup-ataritt-ekmap - encoded keyboard layouts for Atari TT keyboards (udeb)
 console-setup-fonts-udeb - console fonts for Debian Installer (udeb)
 console-setup-macintoshold-ekmap - encoded keyboard layouts for old-style Macintosh keyboards (udeb)
 console-setup-mini - console font and keymap setup program - reduced version
 console-setup-pc-ekmap - encoded keyboard layouts for PC keyboards (udeb)
 console-setup-sun4-ekmap - encoded keyboard layouts for Sun4 keyboards (udeb)
 console-setup-sun5-ekmap - encoded keyboard layouts for Sun5 keyboards (udeb)
 console-setup-udeb - Configure the keyboard (udeb)
 keyboard-configuration - system-wide keyboard preferences
Closes: 600490 600861
Changes: 
 console-setup (1.58) unstable; urgency=low
 .
   [ Samuel Thibault ]
   * debian/keyboard-configuration.README.Debian: New file to contain
     documentation on how changes can be enforced. Provide there the proper
     udevadm incantation to make Xorg get the new Keyboard configuration without
     rebooting.
   * config.kbd: Reference the abovementioned README.
   * debian/keyboard-configuration.config: Do not specify abnt2 and jp106
     xkb models as the base model now has their keys (Closes: Bug#600490).
   * debian/control: Bump xkb-data dependency version to >= 1.6 to make sure
     the assumption above is true.
 .
   [ Anton Zinoviev]
   * Do not enforce abnt2 and jp106 models for Brasilian and Japanese layouts.
   * setupcon(console-setup-mini): do not expect /usr/share/X11/xkb when
     testing if /usr is mounted.  Thanks to Marek Straka and Samuel
     Thibault, closes: #600861.
Checksums-Sha1: 
 be071e2ca5cf033dc3efe26cbb4229f9e6f39c50 1258 console-setup_1.58.dsc
 cbf8b040b3fefb80bd7ee05740c05d10bfc8c782 2441127 console-setup_1.58.tar.gz
 f30e7e035fdf110ccd93c86ca6dfb85f195f1856 255006 keyboard-configuration_1.58_all.deb
 a9d0a9f84f0ec4a6f6545c4717e6c27e23c7dd38 636396 console-setup_1.58_all.deb
 b3621f7a062a5b10bf6fa823a5d990e6c9bf45ca 657184 console-setup-mini_1.58_all.deb
 62723b152321fb21fc1e0b95e7dde2b72e29b9bc 47956 bdf2psf_1.58_all.deb
 b73a7d34c054354de769c82d426996aba44de17f 176592 console-setup-udeb_1.58_all.udeb
 241beaf2cf019854f7b0159fea6c9a1e30810ddd 103098 console-setup-amiga-ekmap_1.58_all.udeb
 5fa672aadf11443fad86b13c2365c54f6ffeee8e 101856 console-setup-ataritt-ekmap_1.58_all.udeb
 8f2e12f45eac61c554b042180f0e5f9e478f204a 80824 console-setup-macintoshold-ekmap_1.58_all.udeb
 2f21ecd81e6a41d155890fafaaa02dc4c5045420 107604 console-setup-pc-ekmap_1.58_all.udeb
 cfb79160ccf5806adda470ab23c45bc2069654f9 103626 console-setup-sun4-ekmap_1.58_all.udeb
 b616b9fd42d5c1408b2c99a29e8620a4d25dae2d 103938 console-setup-sun5-ekmap_1.58_all.udeb
 b868f2bd6d10d61db7418b1aec62c2099a133fdb 27740 console-setup-fonts-udeb_1.58_all.udeb
Checksums-Sha256: 
 f664984ecae6e2a4ca766aeb65e87dadfd6a3fb299759ff0e037654b3298e7e7 1258 console-setup_1.58.dsc
 58767b549d3af77ed63c093584e5f28c969080a920809167496d587f64108382 2441127 console-setup_1.58.tar.gz
 84a793aa17c7ef137d811e14ba85580b06f5bbc35e6f0fabfc0d83acf97f1b1e 255006 keyboard-configuration_1.58_all.deb
 9e321f088f92a611be9897f00709af8544dee1d79bf79671dfbedaac4195e299 636396 console-setup_1.58_all.deb
 9c07a08d3d99b241499c652c6f77a76e23d2ed2081824c044ddf39a6a7c7f403 657184 console-setup-mini_1.58_all.deb
 c421457b9765856195b08ae631a9834e529bf87d9f5377d20d6d55e5059fdf9b 47956 bdf2psf_1.58_all.deb
 f3232602fe1793403ca80480bd241dddf9cf4096b265208359e9de7a319c724d 176592 console-setup-udeb_1.58_all.udeb
 1495e1c103e0c8df3e452309ab144c6f8838459db9d9fb378c7ea08764cdbded 103098 console-setup-amiga-ekmap_1.58_all.udeb
 f4a7c9d77558dfd9ccf25c845e4380fa849f42cd1f51b00e6667641112fb5bd9 101856 console-setup-ataritt-ekmap_1.58_all.udeb
 72ad193e4f4f758a663e78432be64525cf24b42b157d3953f83c79f195dfe1f4 80824 console-setup-macintoshold-ekmap_1.58_all.udeb
 aa5b45dc9db43ae7880bf91879c6deebe660545aac2cecd04017fe49671dc39c 107604 console-setup-pc-ekmap_1.58_all.udeb
 26815f1bdfd6689f09af6b4599d4a37b6c79f158ffd0b68084b1ce477dc30a2c 103626 console-setup-sun4-ekmap_1.58_all.udeb
 a4fac73735caee6b1eff521845bdec06c34e445b12aec225c492850a9a6c7bf2 103938 console-setup-sun5-ekmap_1.58_all.udeb
 f864fba4e24c4cb50468060e471b792191926b68e83993648690f16b97b57ae7 27740 console-setup-fonts-udeb_1.58_all.udeb
Files: 
 d57e4e6366e556ab06eed521dc05231a 1258 utils optional console-setup_1.58.dsc
 fa7eac7f3d6a2b0e738870108d885e43 2441127 utils optional console-setup_1.58.tar.gz
 f72640136d46b8bb2787d9a993f3bb26 255006 utils optional keyboard-configuration_1.58_all.deb
 64141e6bfbaa99d022b4c0e94ffd7f46 636396 utils optional console-setup_1.58_all.deb
 b6e6a9161501c0e15e8115056c62a9d1 657184 utils extra console-setup-mini_1.58_all.deb
 7ddc942b1a5ac4797a6d80ad14bb82da 47956 utils optional bdf2psf_1.58_all.deb
 5a2eee735893baf55a9bb01005bfc177 176592 debian-installer extra console-setup-udeb_1.58_all.udeb
 c4a6dee44464506e940603e0ffce8af5 103098 debian-installer extra console-setup-amiga-ekmap_1.58_all.udeb
 8b6223ce764be9b7b739fa2a13d84d33 101856 debian-installer extra console-setup-ataritt-ekmap_1.58_all.udeb
 82358dee64c7c13e711932f45bb258b3 80824 debian-installer extra console-setup-macintoshold-ekmap_1.58_all.udeb
 6376990fec32e349a677a2ebd2fe0a43 107604 debian-installer extra console-setup-pc-ekmap_1.58_all.udeb
 c8f1b557f94028a6904d0cf005d5087e 103626 debian-installer extra console-setup-sun4-ekmap_1.58_all.udeb
 787a9a6ddb0f673df2cab541dd491ced 103938 debian-installer extra console-setup-sun5-ekmap_1.58_all.udeb
 d17f1dd508c825ca36f23de0e54c04a1 27740 debian-installer extra console-setup-fonts-udeb_1.58_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMwpUEJP1eZJv0KwcRAt0OAJ4/JLKEhdoumJpmamZHY6c4DL0rMQCfYoeY
iCqy7iHux1gsHEckpWddaTI=
=Qk5o
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Sun, 24 Oct 2010 14:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 24 Oct 2010 14:51:06 GMT) Full text and rfc822 format available.

Message #62 received at 600490@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Samuel Thibault <sthibault@debian.org>
Cc: 600490@bugs.debian.org
Subject: Re: Bug#600490: debian-installer: If you choose JP106 key layout, you'll be asked keyboard layout again
Date: Sun, 24 Oct 2010 23:49:21 +0900
On Fri, 22 Oct 2010 01:15:45 +0200
Samuel Thibault <sthibault@debian.org> wrote:
> >  Does it means jp106 users never got same question twice?
> 
> It shouldn't happen any more, yes.

 Thanks. However, really fix this bug, we should clone this bug, 
 reopen and reassign to release.debian.org to unblock console-setup 
 to squeeze to fix the behavior in d-i, right?

 If so, I'll do it.

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Sun, 24 Oct 2010 15:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 24 Oct 2010 15:03:07 GMT) Full text and rfc822 format available.

Message #67 received at 600490@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: 600490@bugs.debian.org
Subject: Re: Bug#600490: debian-installer: If you choose JP106 key layout, you'll be asked keyboard layout again
Date: Sun, 24 Oct 2010 17:00:26 +0200
Hideki Yamane, le Sun 24 Oct 2010 23:49:21 +0900, a écrit :
> On Fri, 22 Oct 2010 01:15:45 +0200
> Samuel Thibault <sthibault@debian.org> wrote:
> > >  Does it means jp106 users never got same question twice?
> > 
> > It shouldn't happen any more, yes.
> 
>  Thanks. However, really fix this bug, we should clone this bug, 
>  reopen and reassign to release.debian.org to unblock console-setup 
>  to squeeze to fix the behavior in d-i, right?

Well, it'd not really be a clone of this bug, but simply an unblock
request.  That'll be done.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Sat, 13 Nov 2010 00:12:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Sergey V. Udaltsov" <svu@gnome.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 13 Nov 2010 00:12:26 GMT) Full text and rfc822 format available.

Message #72 received at 600490@bugs.debian.org (full text, mbox):

From: "Sergey V. Udaltsov" <svu@gnome.org>
To: Samuel Thibault <sthibault@debian.org>
Cc: Hideki Yamane <henrich@debian.org>, 600490@bugs.debian.org, xkb-data@packages.debian.org
Subject: Re: Bug#600490: debian-installer: If you choose JP106 key layout, you'll be asked keyboard layout again
Date: Fri, 12 Nov 2010 23:58:30 +0000
Hi lads

Sorry for delay with the answer.

I dropped all national-specific models because they are supposed to be
covered by the rules. If user choses Japanese layout, proper geometries
should be picked (if not - that's a bug).

People should not pick national-specific models, especially now that all
keycodes are covered by evdev - the only difference is geometry which
has no functional value.

Why do people need jp106?

Sergey

On Sun, 2010-10-17 at 23:09 +0200, Samuel Thibault wrote:
> reassign 600490 xkb-data
> thanks
> 
> Hello,
> 
> Hideki Yamane, le Mon 18 Oct 2010 00:39:56 +0900, a écrit :
> >  1. select keymap: Japan (106 key)
> >  2. after disk partitioning dialog, then asked keyboard model again.
> > 
> >  However, there is no "jp106" model that previously selected in that list 
> > (it comes from keyboard-configuration pacakge?).
> 
> Yes, it seems Sergey V. Udaltsov <svu@gnome.org> dropped the abnt2,
> jp106 and kr106 models last year, he didn't say why.  Sergey, could you
> detail a bit why you dropped the models?  It seems people still expect
> to be able to select jp106.
> 
> Samuel
> 
> 
> 






Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Sat, 13 Nov 2010 23:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 13 Nov 2010 23:39:05 GMT) Full text and rfc822 format available.

Message #77 received at 600490@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: "Sergey V. Udaltsov" <svu@gnome.org>
Cc: Hideki Yamane <henrich@debian.org>, 600490@bugs.debian.org, xkb-data@packages.debian.org
Subject: Re: Bug#600490: debian-installer: If you choose JP106 key layout, you'll be asked keyboard layout again
Date: Sun, 14 Nov 2010 00:36:00 +0100
Hello,

Sergey V. Udaltsov, le Fri 12 Nov 2010 23:58:30 +0000, a écrit :
> I dropped all national-specific models because they are supposed to be
> covered by the rules.

I eventually understood that, indeed.

> Why do people need jp106?

Because that was hardcoded in console-setup. It's not any more now.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Thu, 25 Nov 2010 04:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dima Pasechnik <dimpase@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 25 Nov 2010 04:39:03 GMT) Full text and rfc822 format available.

Message #82 received at 600490@bugs.debian.org (full text, mbox):

From: Dima Pasechnik <dimpase@gmail.com>
To: 600490@bugs.debian.org
Subject: Russian phonetic layout on a jp keyboard?
Date: Thu, 25 Nov 2010 12:35:45 +0800
Installing the upgrades mentioned here did not enable any options for
choosing the phonetic layout for Russian on the Japanese keyboard.
They were gone since I did an upgrade to squeeze.
For the record, it's a Panasonic CF-R5 laptop.
(you probably also know that there seems to be no way to *select* an
appropriate keyboard)

Thanks,
Dmitrii
http://www.ntu.edu.sg/home/dima/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Thu, 25 Nov 2010 10:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 25 Nov 2010 10:03:09 GMT) Full text and rfc822 format available.

Message #87 received at 600490@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 600490@bugs.debian.org
Subject: Re: Bug#600490: Russian phonetic layout on a jp keyboard?
Date: Thu, 25 Nov 2010 11:00:26 +0100
Dima Pasechnik, le Thu 25 Nov 2010 12:35:45 +0800, a écrit :
> Installing the upgrades mentioned here did not enable any options for
> choosing the phonetic layout for Russian on the Japanese keyboard.

You mean typing Russian on a Japanese keyboard?  I didn't know about
such thing.  Why option were you using to achieve that?  I guess you are
talking about X keyboard layout, right?

> For the record, it's a Panasonic CF-R5 laptop.
> (you probably also know that there seems to be no way to *select* an
> appropriate keyboard)

An appropriate keyboard for what?  The particular keyboard of that
laptop or typing russian on a japanese keyboard?  (The latter would
just be a consequence of the above).  In general, never assume we know
anything about localization cases, as most of us don't are not from that
localization, so although we usually have an idea, we usually don't know
all the details.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Fri, 26 Nov 2010 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dima Pasechnik <dimpase@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 26 Nov 2010 11:03:03 GMT) Full text and rfc822 format available.

Message #92 received at 600490@bugs.debian.org (full text, mbox):

From: Dima Pasechnik <dimpase@gmail.com>
To: Samuel Thibault <sthibault@debian.org>, 600490@bugs.debian.org
Subject: Re: Bug#600490: Russian phonetic layout on a jp keyboard?
Date: Fri, 26 Nov 2010 18:59:15 +0800
On 25 November 2010 18:00, Samuel Thibault <sthibault@debian.org> wrote:
> Dima Pasechnik, le Thu 25 Nov 2010 12:35:45 +0800, a écrit :
>> Installing the upgrades mentioned here did not enable any options for
>> choosing the phonetic layout for Russian on the Japanese keyboard.
>
> You mean typing Russian on a Japanese keyboard?  I didn't know about
> such thing.  Why option were you using to achieve that?  I guess you are
> talking about X keyboard layout, right?
>
yes. In my /etc/X11/xorg.conf I used to have, in the keyboard section,
Option "XkbLayout" "jp,ru(phonetic)"
Option "XkbVariant" "jp106"
and it worked.
Now I can select Russia Phonetic keyboard in Gnome Keyboard
Preferences, but then I am stuck with Cyrillic characters only - the
switching does not work. The only way out is to remove this keyboard
choice and restart X.

And it looks like a specific Japanese keyboard problem. On a machine
with a standard US keyboard I run the same Debian version, and am able
to select and use "Russia Phonetic" layout.

>> For the record, it's a Panasonic CF-R5 laptop.
>> (you probably also know that there seems to be no way to *select* an
>> appropriate keyboard)
>
> An appropriate keyboard for what?  The particular keyboard of that
> laptop or typing russian on a japanese keyboard?  (The latter would
> just be a consequence of the above).  In general, never assume we know
> anything about localization cases, as most of us don't are not from that
> localization, so although we usually have an idea, we usually don't know
> all the details.

I meant "an appropriate keyboard model" for the laptop I am using.
(in fact, there seem to be no jp106 keyboard layouts available in
Gnome Keyboard Preferences.)
When I try printing the keyboard, from
Gnome Keyboard Preferences, the output does not show it right (many
"extra" keys are not shown).
It could be due to non-availability of
an appropriate keyboard model.
No wonder it does not really work right..


>
> Samuel
>
>
>
> --
> To unsubscribe, send mail to 600490-unsubscribe@bugs.debian.org.
>



-- 
Dmitrii Pasechnik




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Sun, 28 Nov 2010 23:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 28 Nov 2010 23:39:05 GMT) Full text and rfc822 format available.

Message #97 received at 600490@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Dima Pasechnik <dimpase@gmail.com>
Cc: 600490@bugs.debian.org, xkb-data@packages.debian.org
Subject: Re: Bug#600490: Russian phonetic layout on a jp keyboard?
Date: Mon, 29 Nov 2010 00:36:14 +0100
Dima Pasechnik, le Fri 26 Nov 2010 18:59:15 +0800, a écrit :
> On 25 November 2010 18:00, Samuel Thibault <sthibault@debian.org> wrote:
> > Dima Pasechnik, le Thu 25 Nov 2010 12:35:45 +0800, a écrit :
> >> Installing the upgrades mentioned here did not enable any options for
> >> choosing the phonetic layout for Russian on the Japanese keyboard.
> >
> > You mean typing Russian on a Japanese keyboard?  I didn't know about
> > such thing.  Why option were you using to achieve that?  I guess you are
> > talking about X keyboard layout, right?
> >
> yes. In my /etc/X11/xorg.conf I used to have, in the keyboard section,
> Option "XkbLayout" "jp,ru(phonetic)"
> Option "XkbVariant" "jp106"
> and it worked.
> Now I can select Russia Phonetic keyboard in Gnome Keyboard
> Preferences, but then I am stuck with Cyrillic characters only - the
> switching does not work. The only way out is to remove this keyboard
> choice and restart X.

Did you try to put the same kind of parameter as xorg.conf into
/etc/default/keyboard? It should be working exactly the same as
xorg.conf (except that it'll additionally work on the linux console
too!)

> And it looks like a specific Japanese keyboard problem. On a machine
> with a standard US keyboard I run the same Debian version, and am able
> to select and use "Russia Phonetic" layout.

Well, the thing is that supported layouts (i.e. that you can choose in
the debconf dialog box) only include one keymap, or us + non-latin
keymap.  For others, you have to configure it by hand.

> >> For the record, it's a Panasonic CF-R5 laptop.
> >> (you probably also know that there seems to be no way to *select* an
> >> appropriate keyboard)
> >
> > An appropriate keyboard for what?  The particular keyboard of that
> > laptop or typing russian on a japanese keyboard?  (The latter would
> > just be a consequence of the above).  In general, never assume we know
> > anything about localization cases, as most of us don't are not from that
> > localization, so although we usually have an idea, we usually don't know
> > all the details.
> 
> I meant "an appropriate keyboard model" for the laptop I am using.
> (in fact, there seem to be no jp106 keyboard layouts available in
> Gnome Keyboard Preferences.)

The jp106 model was dropped indeed, because its additional keys were
added to the base model.

> When I try printing the keyboard, from
> Gnome Keyboard Preferences, the output does not show it right (many
> "extra" keys are not shown).

That's the geometry part of the xkb configuration, not the model part
(though they are related, yes).  I think you should talk with upstream
about it (e.g. report the bug on http://bugs.freedesktop.org/)

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Thu, 02 Dec 2010 04:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dima Pasechnik <dimpase@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 02 Dec 2010 04:27:03 GMT) Full text and rfc822 format available.

Message #102 received at 600490@bugs.debian.org (full text, mbox):

From: Dima Pasechnik <dimpase@gmail.com>
To: Samuel Thibault <sthibault@debian.org>
Cc: 600490@bugs.debian.org, xkb-data@packages.debian.org
Subject: Re: Bug#600490: Russian phonetic layout on a jp keyboard?
Date: Thu, 2 Dec 2010 12:26:11 +0800
On 29 November 2010 07:36, Samuel Thibault <sthibault@debian.org> wrote:
[...]
>> yes. In my /etc/X11/xorg.conf I used to have, in the keyboard section,
>> Option "XkbLayout" "jp,ru(phonetic)"
>> Option "XkbVariant" "jp106"
>> and it worked.
>> Now I can select Russia Phonetic keyboard in Gnome Keyboard
>> Preferences, but then I am stuck with Cyrillic characters only - the
>> switching does not work. The only way out is to remove this keyboard
>> choice and restart X.
>
> Did you try to put the same kind of parameter as xorg.conf into
> /etc/default/keyboard? It should be working exactly the same as
> xorg.conf (except that it'll additionally work on the linux console
> too!)

Just tried it, and yes, it does fix the problem! Thank you for your time.

I still get an occasional gnome popup indicating an xkb error.
It asks to provide the following outputs:
$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "acpi", "jp,ru", "",
"grp:alt_shift_toggle"
_XKB_RULES_NAMES(STRING) = "evdev", "acpi", "jp,ru(phonetic)", "",
"grp:alt_shift_toggle"

$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = [jp	jp106]
 options = [terminate	terminate:ctrl_alt_bksp,grp	grp:ctrl_shift_toggle,grp	grp:alt_space_toggle,grp	grp:menu_toggle,grp	grp:sclk_toggle]
 model = toshiba_s3000

Note jp106 string in gconftool-2.
I do not know where it comes from (do I still have an old config file
lying around?) and whether it is harmless.

The model string content there is totally random, of course, and has
nothing to do with the real keyboard.

[...]

Best,
Dmitrii




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Thu, 02 Dec 2010 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 02 Dec 2010 22:21:03 GMT) Full text and rfc822 format available.

Message #107 received at 600490@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Dima Pasechnik <dimpase@gmail.com>
Cc: 600490@bugs.debian.org, xkb-data@packages.debian.org
Subject: Re: Bug#600490: Russian phonetic layout on a jp keyboard?
Date: Thu, 2 Dec 2010 22:50:25 +0100
Dima Pasechnik, le Thu 02 Dec 2010 12:26:11 +0800, a écrit :
> I still get an occasional gnome popup indicating an xkb error.

What is the error?

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Fri, 03 Dec 2010 05:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dima Pasechnik <dimpase@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 03 Dec 2010 05:21:02 GMT) Full text and rfc822 format available.

Message #112 received at 600490@bugs.debian.org (full text, mbox):

From: Dima Pasechnik <dimpase@gmail.com>
To: Samuel Thibault <sthibault@debian.org>
Cc: 600490@bugs.debian.org, xkb-data@packages.debian.org
Subject: Re: Bug#600490: Russian phonetic layout on a jp keyboard?
Date: Fri, 3 Dec 2010 13:17:10 +0800
On 3 December 2010 05:50, Samuel Thibault <sthibault@debian.org> wrote:
> Dima Pasechnik, le Thu 02 Dec 2010 12:26:11 +0800, a écrit :
>> I still get an occasional gnome popup indicating an xkb error.
>
> What is the error?

"Error activating XKB configuration.
It can happen under various circumstances.
[...]
Xserver version data
The X.Org Foundation
Version 10707000

If you report this as a bug, please include:
- The result of ... [...]"

I already followed the latter part of the popup message in my previous email.

I certainly get this popup on startup, in the centre of the otherwise
empty screen, and then after each resume (from RAM) from sleep.
(Perhaps in other cases too, but I am not sure).
The popup after resume is persistent, i.e. clicking "OK" in the popup
immediately pops up the same window at the same place.

There seems to be nothing of it reflected in /var/log/Xorg.0.log,
dmesg, console terminal from which X was started, or anywhere esle I
can think of...

It does not affect the actual keyboard functioning.

Dmitrii




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Wed, 08 Dec 2010 06:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 08 Dec 2010 06:27:03 GMT) Full text and rfc822 format available.

Message #117 received at 600490@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Dima Pasechnik <dimpase@gmail.com>, 600490@bugs.debian.org
Cc: xkb-data@packages.debian.org
Subject: Re: Bug#600490: Russian phonetic layout on a jp keyboard?
Date: Wed, 8 Dec 2010 14:18:15 +0800
Dima Pasechnik, le Thu 02 Dec 2010 12:26:11 +0800, a écrit :
> $ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
>  layouts = [jp	jp106]
>  options = [terminate	terminate:ctrl_alt_bksp,grp	grp:ctrl_shift_toggle,grp	grp:alt_space_toggle,grp	grp:menu_toggle,grp	grp:sclk_toggle]
>  model = toshiba_s3000
> 
> Note jp106 string in gconftool-2.

Indeed it looks suspicious.

> I do not know where it comes from (do I still have an old config file
> lying around?) and whether it is harmless.

Well, in the gconf case, the config file is the gconf database, more
precisely ~/.gconf/desktop/gnome/peripherals/keyboard. You can use the
gconftool-2 command to change it.

> The model string content there is totally random, of course, and has
> nothing to do with the real keyboard.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Wed, 08 Dec 2010 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dima Pasechnik <dimpase@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 08 Dec 2010 11:21:03 GMT) Full text and rfc822 format available.

Message #122 received at 600490@bugs.debian.org (full text, mbox):

From: Dima Pasechnik <dimpase@gmail.com>
To: Samuel Thibault <sthibault@debian.org>
Cc: 600490@bugs.debian.org, xkb-data@packages.debian.org
Subject: Re: Bug#600490: Russian phonetic layout on a jp keyboard?
Date: Wed, 8 Dec 2010 19:17:55 +0800
On 8 December 2010 14:18, Samuel Thibault <sthibault@debian.org> wrote:
> Dima Pasechnik, le Thu 02 Dec 2010 12:26:11 +0800, a écrit :
>> $ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
>>  layouts = [jp        jp106]
>>  options = [terminate terminate:ctrl_alt_bksp,grp     grp:ctrl_shift_toggle,grp       grp:alt_space_toggle,grp        grp:menu_toggle,grp     grp:sclk_toggle]
>>  model = toshiba_s3000
>>
>> Note jp106 string in gconftool-2.
>
> Indeed it looks suspicious.
>
>> I do not know where it comes from (do I still have an old config file
>> lying around?) and whether it is harmless.
>
> Well, in the gconf case, the config file is the gconf database, more
> precisely ~/.gconf/desktop/gnome/peripherals/keyboard. You can use the
> gconftool-2 command to change it.

I used the gconf-editor to erase jp106 substring from "layouts",
and this has cured the popup error messages.
This also disabled Russian keyboard, though.
gconftool-2 showed
layouts = [jp], as expected.

Then I added the keyboard I need via Gnome interface, and got it working.
gconftool-2 shows
layouts = [jp, ru      phonetic]
as it was needed.

I suppose this is resolved is some way, at least for me.
(probably the squeeze installer/updater needs to be more aggressive in cleaning
up unknown options...)

Thank you all for your time,
Dmitrii.

PS. I wish the experience of fixing this did not resemble editing
Windows registry that much :-)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#600490; Package xkb-data. (Wed, 08 Dec 2010 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 08 Dec 2010 11:33:03 GMT) Full text and rfc822 format available.

Message #127 received at 600490@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Dima Pasechnik <dimpase@gmail.com>
Cc: 600490@bugs.debian.org, xkb-data@packages.debian.org
Subject: Re: Bug#600490: Russian phonetic layout on a jp keyboard?
Date: Wed, 8 Dec 2010 19:30:45 +0800
Dima Pasechnik, le Wed 08 Dec 2010 19:17:55 +0800, a écrit :
> Then I added the keyboard I need via Gnome interface, and got it working.
> gconftool-2 shows
> layouts = [jp, ru      phonetic]
> as it was needed.
> 
> I suppose this is resolved is some way, at least for me.

Yes.

> (probably the squeeze installer/updater needs to be more aggressive in cleaning
> up unknown options...)

Well, that'd be gnome's matter actually.

> PS. I wish the experience of fixing this did not resemble editing
> Windows registry that much :-)

Well, it definitely looks like editing Windows registry to me.

Samuel




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 Jan 2011 07:35:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:00:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.